Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IBeanInstanceSymbol

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IDescribedInDetail, IInstanceSymbol, IJavaSymbol, IObjectSymbol, ISymbol, org.eclipse.emf.common.notify.Notifier

public interface IBeanInstanceSymbol
extends IInstanceSymbol, IJavaSymbol, IDescribedInDetail

An instance of a java bean

Field Summary
`static java.lang.String` | `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`IJavaTypeDescriptor2` | `getJavaTypeDescriptor()`
`org.eclipse.emf.common.util.EList` | `getMethods()` Returns the value of the 'Methods' reference list.
`org.eclipse.emf.common.util.EList` | `getProperties()` Returns the value of the 'Properties' reference list.
`void` | `setJavaTypeDescriptor(IJavaTypeDescriptor2 value)` Sets the value of the '`Java Type Descriptor`' reference.

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IInstanceSymbol
`getRuntimeSource, getTypeDescriptor, isTypeResolved, setRuntimeSource`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IObjectSymbol
`isReadable, isWritable, setReadable, setTypeDescriptor, setWritable`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IJavaSymbol
`getJavaElement, setJavaElement`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IDescribedInDetail
`getDetailedDescription, setDetailedDescription`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getJavaTypeDescriptor

    public IJavaTypeDescriptor2 getJavaTypeDescriptor()

  Returns:
    convenience method for (IJavaTypeDescriptor) super.getTypeDescriptor()

### setJavaTypeDescriptor

    public void setJavaTypeDescriptor(IJavaTypeDescriptor2 value)

  Sets the value of the '`Java Type Descriptor`' reference.

  Parameters:
    `value` - the new value of the 'Java Type Descriptor' reference.
  See Also:
    `getJavaTypeDescriptor()`

### getProperties

    public org.eclipse.emf.common.util.EList getProperties()

  Returns the value of the 'Properties' reference list. The list contents are of type `IBeanPropertySymbol`.

  If the meaning of the 'Properties' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties' reference list.
  See Also:
    `SymbolPackage.getIBeanInstanceSymbol_Properties()`

### getMethods

    public org.eclipse.emf.common.util.EList getMethods()

  Returns the value of the 'Methods' reference list. The list contents are of type `IBeanMethodSymbol`.

  If the meaning of the 'Methods' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Methods' reference list.
  See Also:
    `SymbolPackage.getIBeanInstanceSymbol_Methods()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD